function [K,f]=ImposemCC(K,f,fixed,val)

%trobem els punts fixats i lliures
pfix=find(fixed==1)
pfree=find(fixed==0)

%imposem les forces externes (sobre punts lliures)
f(pfree)=val(pfree)';

%modifiquem el vector de forces segons els punts fixats
for i=1:length(pfix)
    f=f-val(pfix(i))*K(:,pfix(i));
end
f(pfix)=val(pfix)';
K(pfix,:)=0;
K(:,pfix)=0;
for i=1:length(pfix)
    ni=pfix(i);
    K(ni,ni)=1;
end