function [Tensions Forces]=calculTensionsAxials(nod,elem,u,E,A)
[num_nod,ndim]=size(nod);
[num_elem,ndim_elem]=size(elem);
Forces=zeros(1,num_elem);
Tensions=zeros(1,num_elem);
for e=1:num_elem
    x1=nod(elem(e,1),1);
    x2=nod(elem(e,2),1);
    if (ndim==1)
        y1=0;
        y2=0;
        ux1=u(elem(e,1));
        ux2=u(elem(e,2));
        uy1=0;
        uy2=0;
    else
        y1=nod(elem(e,1),2);
        y2=nod(elem(e,2),2);        
        ux1=u(elem(e,1)*ndim-1);
        uy1=u(elem(e,1)*ndim);
        ux2=u(elem(e,2)*ndim-1);
        uy2=u(elem(e,2)*ndim);
    end
    x21=x2-x1;
    y21=y2-y1;
    Le=sqrt(x21*x21+y21*y21);
    ux21=ux2-ux1;
    uy21=uy2-uy1;
    d=(x21*ux21+y21*uy21)/Le;
    Forces(e)=E(e)*A(e)*d/Le;
    Tensions(e)=Forces(e)/A(e);
 end